# Create a revenue schedule for a credit memo item (manual distribution) Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates a revenue schedule for a credit memo item, and manually distribute the revenue. Endpoint: POST /v1/revenue-schedules/credit-memo-items/{cmi-id} Version: 2025-12-17 ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `cmi-id` (string, required) The unique ID of a credit memo item. You can get the credit memo item ID from the response of Get credit memo items. ## Request fields (application/json): - `notes` (string) Additional information about this record. Character Limit: 2,000 - `revenueDistributions` (array) An array of revenue distributions. Represents how you want to distribute revenue for this revenue schedule. You can distribute revenue into a maximum of 250 accounting periods with one revenue schedule. The sum of new Amounts must equal the the Charge Amount of the specified Invoice Item. Example: [{"accountingPeriodName":"Jan '16","newAmount":"20"},{"accountingPeriodName":"Open-Ended","newAmount":"30"}] - `revenueDistributions.accountingPeriodName` (string, required) Name of the accounting period. The open-ended accounting period is named Open-Ended. The accounting period must be open. - `revenueDistributions.newAmount` (string, required) Amount of revenue you want to distribute into the accounting period. The value must be formatted based on the currency, for example, JPY 30 or USD 30.15. If the value is formatted incorrectly, the following error message is returned: Allocation amount with wrong decimal places. - `revenueEvent` (object) Represents a change to a revenue schedule, such as posting an invoice or distributing revenue. You must specify the eventType or the eventTypeSystemID, or both. If you have configured more than one revenue event type with the same label, you must specify the eventTypeSystemId. - `revenueEvent.eventType` (string) Label of the revenue event type. Revenue event type labels can be duplicated. You can configure your revenue event type labels by navigating to Settings > Finance > Configure Revenue Event Types in the Zuora UI. Note that Credit Memo Posted and Debit Memo Posted are only available if you enable the Invoice Settlement feature. Enum: "Invoice Posted", "Invoice Item Adjustment Created", "Invoice Canceled", "Invoice Item Adjustment Canceled", "Revenue Distributed", "Credit Memo Posted", "Debit Memo Posted" - `revenueEvent.eventTypeSystemId` (string) System ID of the revenue event type. Each eventType has a unique system ID. You can configure your revenue event type system IDs by navigating to Settings > Finance > Configure Revenue Event Types in the Zuora UI. Required only if there is more than one revenue event type with the same label. - `revenueEvent.notes` (string) Additional information about this record. ## Response 200 fields (application/json): - `revenueScheduleNumber` (string) Revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, "RS-00000001". - `success` (boolean) Returns true if the request was processed successfully.